<?php

class RCOrder {

	function __construct () {
		
		$this->bodyBuyer = '';
		$this->bodySeller = '';
		
		$this->order = new \PHPMailer\PHPMailer(TRUE);
		$this->order->CharSet = 'UTF-8';
		$this->order->Encoding = 'base64';
		$this->order->isHTML(TRUE);
		
		if (RCUtilities::$config->email->smtp) {
			
			$this->order->isSMTP();
			$this->order->Host = RCUtilities::$config->email->host;
			$this->order->Port = RCUtilities::$config->email->port;
			$this->order->SMTPSecure = RCUtilities::$config->email->security;
			
			if (RCUtilities::$config->email->username != '') {

				$this->order->SMTPAuth = TRUE;
				$this->order->Username = RCUtilities::$config->email->username;
				$this->order->Password = RCUtilities::$config->email->password;
				
			}
			
		}
		
		if (RCUtilities::$config->email->fromAddress != '') {

			$this->order->From = RCUtilities::$config->email->fromAddress;
			
		}
		
		if (RCUtilities::$config->email->fromName != '') {

			$this->order->FromName = RCUtilities::$config->email->fromName;
			
		}
		
	}
	
	public function setSubject ($subject) {
		
		$this->order->Subject = $subject;
		
	}
	
	public function checkSMTP () {
		
		$this->error = '';
		
		try {
			
			$this->order->smtpConnect(array(
			
				'ssl' => array(
			
					'verify_peer'       => FALSE,
					'verify_peer_name'  => FALSE,
					'allow_self_signed' => TRUE
			
				)
			
			));
			
			return TRUE;
			
		}
		
		catch (Exception $e) {
			
			$this->error = strip_tags($e->errorMessage());
			
			return FALSE;
			
		}
		
	}
	
	public function setAddress ($address, $name) {
		
		$this->toAddress = $address;
		$this->toName = $name;
		
	}
	
	public function setBodies ($buyer, $seller = NULL) {
		
		$this->bodyBuyer = $buyer;
		$this->bodySeller = $seller;
		
	}
	
	public function send () {
		
		$errors = array();
		
		$this->order->addAddress($this->toAddress, $this->toName);
		$this->order->Body = $this->bodyBuyer;
		
		if (RCUtilities::$config->email->replyToAddress != '' || RCUtilities::$config->email->replyToName != '') {

			$this->order->addReplyTo(RCUtilities::$config->email->replyToAddress, RCUtilities::$config->email->replyToName);
			
		}
		
		try {
			
			$this->order->send();
			
		}
		
		catch (Exception $e) {
			
			$errors[] = 'Email to buyer:' . PHP_EOL . strip_tags($e->errorMessage());
			
		}
		
		if (!is_null($this->bodySeller)) {
		
			$this->order->clearAddresses();
			$this->order->clearReplyTos();
			
			if (!empty(RCUtilities::$config->email->copyToAddress)) {
				
				foreach (explode(',', RCUtilities::$config->email->copyToAddress) as $address) {
					
					if (trim($address) != '') {
						
						$this->order->addAddress(trim($address));
						
					}
					
				}
				
			}
			
			else {
				
				$this->order->addAddress(RCUtilities::$config->email->fromAddress);
				
			}
			
			$this->order->addReplyTo($this->toAddress, $this->toName);
			$this->order->Body = $this->bodySeller;
			
			try {
				
				$this->order->send();
				
			}
			
			catch (Exception $e) {
				
				$errors[] = 'Email to seller:' . PHP_EOL . strip_tags($e->errorMessage());
				
			}
		
		}
		
		if (!empty($errors)) {
			
			return implode(PHP_EOL . PHP_EOL, $errors);
			
		}
		
		return TRUE;
		
	}
	
}

?>