<form class="uk-form uk-margin-bottom" onsubmit="RCkit.filterAdminOrders(this); return false;" data-rc-admin-orders-status="<?php echo $ordersStatus; ?>">
	<div class="uk-grid uk-grid-small" data-uk-grid-margin>
		<div class="uk-width-1-1 uk-width-medium-1-2">
			<div class="uk-form-icon uk-width-1-1 uk-autocomplete" id="rc-admin-orders-search-container">
				<i class="uk-icon-search"></i>
				<input class="uk-width-1-1 uk-form-large" id="rc-admin-orders-search" type="text" name="search" placeholder="<?php echo RCUtilities::$localization->admin->ordersSearch; ?>" value="<?php echo $ordersSearch; ?>">
				<script type="text/autocomplete">
					<ul class="uk-nav uk-nav-autocomplete uk-autocomplete-results">
						{{~items}}
							<li data-value="{{$item.url}}">
								<a href="{{$item.url}}">
									<span class="uk-float-right">{{$item.id}}</span>
									<span class="uk-text-bold">{{$item.name}}</span>
									<div>{{$item.date}}</div>
								</a>
							</li>
						{{/items}}
					</ul>
				</script>
			</div>
		</div>
		<div class="uk-width-1-3 uk-width-medium-1-6">
			<div class="uk-form-icon uk-width-1-1">
				<i class="uk-icon-calendar"></i>
				<input class="uk-width-1-1 uk-form-large" id="rc-admin-orders-from-date" type="text" placeholder="<?php echo RCUtilities::$localization->admin->ordersFrom; ?>" data-uk-datepicker="{format:'YYYY-MM-DD'}" value="<?php echo $ordersFromDate; ?>">
			</div>
		</div>
		<div class="uk-width-1-3 uk-width-medium-1-6">
			<div class="uk-form-icon uk-width-1-1">
				<i class="uk-icon-calendar"></i>
				<input class="uk-width-1-1 uk-form-large" id="rc-admin-orders-to-date" type="text" placeholder="<?php echo RCUtilities::$localization->admin->ordersTo; ?>" data-uk-datepicker="{format:'YYYY-MM-DD'}" value="<?php echo $ordersToDate; ?>">
			</div>
		</div>
		<div class="uk-width-1-3 uk-width-medium-1-6">
			<div id="rc-admin-orders-status">
				<div class="uk-button-group uk-flex uk-flex-space-between" id="rc-admin-orders-status-button">
					<button class="uk-button uk-button-large uk-flex-item-auto uk-text-left" type="button" onclick="RCkit.filterAdminOrders(this);" data-rc-admin-orders-status="<?php echo $ordersStatus; ?>">
						<?php if ($ordersStatus == 'completed') { ?>
							<i class="uk-icon-check uk-margin-small-right"></i> <span class="uk-hidden-small"><?php echo RCUtilities::$localization->admin->statusCompleted; ?></span>
						<?php } else if ($ordersStatus == 'to-ship') { ?>
							<i class="uk-icon-truck uk-margin-small-right"></i> <span class="uk-hidden-small"><?php echo RCUtilities::$localization->admin->statusToShip; ?></span>
						<?php } else if ($ordersStatus == 'refunded') { ?>
							<i class="uk-icon-undo uk-margin-small-right"></i> <span class="uk-hidden-small"><?php echo RCUtilities::$localization->admin->statusRefunded; ?></span>
						<?php } else if ($ordersStatus == 'cancelled') { ?>
							<i class="uk-icon-ban uk-margin-small-right"></i> <span class="uk-hidden-small"><?php echo RCUtilities::$localization->admin->statusCancelled; ?></span>
						<?php } else { ?>
							<i class="uk-icon-bars uk-margin-small-right"></i> <span class="uk-hidden-small"><?php echo RCUtilities::$localization->admin->ordersAll; ?></span>
						<?php } ?>
					</button>
					<div data-uk-dropdown="{remaintime:250,justify:'#rc-admin-orders-status-button'}">
						<button class="uk-button uk-button-large"><i class="uk-icon-caret-down"></i></button>
						<div class="uk-dropdown uk-dropdown-small uk-dropdown-bottom">
							<ul class="uk-nav uk-nav-dropdown">
								<li onclick="RCkit.filterAdminOrders(this);" data-rc-admin-orders-status="all"><a href="#"><i class="uk-icon-bars uk-icon-justify uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->ordersAll; ?></a></li>
								<li onclick="RCkit.filterAdminOrders(this);" data-rc-admin-orders-status="completed"><a href="#"><i class="uk-icon-check uk-icon-justify uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->statusCompleted; ?></a></li>
								<li onclick="RCkit.filterAdminOrders(this);" data-rc-admin-orders-status="to-ship"><a href="#"><i class="uk-icon-truck uk-icon-justify uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->statusToShip; ?></a></li>
								<li onclick="RCkit.filterAdminOrders(this);" data-rc-admin-orders-status="refunded"><a href="#"><i class="uk-icon-undo uk-icon-justify uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->statusRefunded; ?></a></li>
								<li onclick="RCkit.filterAdminOrders(this);" data-rc-admin-orders-status="cancelled"><a href="#"><i class="uk-icon-ban uk-icon-justify uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->statusCancelled; ?></a></li>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</form>
<?php if ($count == 0) { ?>
	<h2 class="uk-text-center"><?php echo RCUtilities::$localization->admin->noOrdersError; ?></h2>
<?php } else { ?>
	<?php foreach ($orders as $key => $group) { ?>
		<?php if (count($group->list) > 0) { ?>
			<div>
				<h3 class="rc-admin-orders-title" data-uk-sticky="{top: 62, boundary: true}">
					<?php echo $group->title; ?>
					<div class="uk-badge uk-badge-notification rc-admin-orders-count-badge"><?php echo $group->count; ?></div>
					<div class="uk-float-right"><?php echo RCUtilities::toCurrency($group->total, FALSE, FALSE); ?></div>
				</h3>
				<table class="uk-table uk-table-hover uk-margin-top-remove" id="rc-admin-orders-table">
					<tbody>
						<?php foreach ($group->list as $order) { ?>
							<tr class="uk-table-middle <?php echo (($order->status == 'cancelled' || $order->total == $order->refund) ? 'uk-text-muted' : ''); ?>" onclick="RCkit.getAdminOrder('<?php echo $order->ID; ?>');">
								<td width="1">
									<?php if ($order->status == 'cancelled') { ?>
										<i class="uk-icon-ban uk-icon-justify" title="<?php echo RCUtilities::$localization->admin->statusCancelled; ?>" data-uk-tooltip></i>
									<?php } else if ($order->status == 'refunded') { ?>
										<?php if ($order->total ==$order->refund) { ?>
											<i class="uk-icon-undo uk-icon-justify" title="<?php echo RCUtilities::$localization->admin->statusRefunded; ?>" data-uk-tooltip></i>
										<?php } else { ?>
											<i class="uk-icon-undo uk-icon-justify" title="<?php echo RCUtilities::$localization->admin->statusPartiallyRefunded; ?>" data-uk-tooltip></i>
										<?php } ?>
									<?php } else if ($order->status == 'to-ship') { ?>
										<i class="uk-icon-truck uk-icon-justify" title="<?php echo RCUtilities::$localization->admin->statusToShip; ?>" data-uk-tooltip></i>
									<?php } else { ?>
										<i class="uk-icon-check uk-icon-justify uk-text-success" title="<?php echo RCUtilities::$localization->admin->statusCompleted; ?>" data-uk-tooltip></i>
									<?php } ?>
								</td>
								<td class="uk-width-1-3">
									<div class="uk-text-bold"><?php echo $order->name; ?></div>
									<?php echo $order->date; ?>
								</td>
								<td class="uk-width-1-3 uk-text-center uk-hidden-small"><?php echo $order->ID; ?></td>
								<td class="uk-text-right"><?php echo RCUtilities::toCurrency($order->total - $order->refund, FALSE, FALSE); ?></td>
								<td width="1"><i class="uk-icon-chevron-right"></i></td>
							</tr>
						<?php } ?>
					</tbody>
				</table>
			</div>
		<?php } ?>
	<?php } ?>
	<?php if ($count > 20) { ?>
		<ul class="uk-pagination rc-admin-orders-pagination" data-rc-pagination="{currentPage:<?php echo $page - 1; ?>,items:<?php echo $count; ?>,itemsOnPage:20}"></ul>
	<?php } ?>
<?php } ?>