<form class="uk-form" id="rc-cart-overview-form" onsubmit="return false;">
	<table class="uk-table uk-table-hover">
		<thead>
			<tr>
				<th class="uk-hidden-small rc-cart-image-column"></th>
				<th><?php echo RCUtilities::$localization->cart->product; ?></th>
				<th class="uk-hidden-small"></th>
				<th class="uk-text-center"><?php echo RCUtilities::$localization->cart->quantity; ?></th>
				<th class="uk-text-right rc-cart-total-column"><?php echo RCUtilities::$localization->cart->price; ?></th>
				<th class="uk-text-center rc-cart-trash-column"><button type="button" class="uk-button uk-button-small uk-button-danger" onclick="RCkit.enableAllRemoveItemCheckboxes();"><i class="uk-icon-trash"></i></button></th>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($this->cart->items as $i => $item) { ?>
				<tr class="uk-table-middle">
					<td class="uk-hidden-small"><a class="rc-cropped-product-image" href="<?php echo $item->product->link; ?>" style="background-image: url('<?php echo $item->product->image; ?>');"></a></td>
					<td>
						<div class="uk-text-bold"><a href="<?php echo $item->product->link; ?>"><?php echo $item->product->name; ?></a></div>
						<div><?php echo $item->product->version . (RCUtilities::$settings->product->showSKU ? ' (' . $item->product->SKU . ')' : ''); ?></div>
						<?php if (!empty($item->product->options)) { ?>
							<div class="uk-visible-small"><a href="#" data-uk-modal="{target:'#rc-cart-item-options-<?php echo $i; ?>',center:true}"><?php echo RCUtilities::$localization->product->options; ?></a></div>
							<div id="rc-cart-item-options-<?php echo $i; ?>" class="uk-modal">
								<div class="uk-modal-dialog">
									<div class="uk-modal-header">
										<h3 class="uk-margin-remove"><?php echo $item->product->name; ?></h3>
										<?php echo $item->product->version . (RCUtilities::$settings->product->showSKU ? ' (' . $item->product->SKU . ')' : ''); ?>
									</div>
									<dl class="uk-description-list-horizontal">
										<?php foreach ($item->product->options as $option) { ?>
											<?php if (!empty($option->values)) { ?>
												<dt><?php echo $option->name; ?></dt>
												<dd><?php echo implode(', ', $option->values); ?></dd>
											<?php } ?>
										<?php } ?>
									</dl>
									<div class="uk-text-center uk-margin-top"><button type="button" class="uk-button uk-button-primary uk-modal-close"><?php echo RCUtilities::$localization->general->close; ?></button></div>
								</div>
							</div>
						<?php } ?>
						<div class="uk-text-bold "><?php echo RCUtilities::toCurrency($item->product->price); ?></div>
					</td>
					<td class="uk-hidden-small">
						<?php if (!empty($item->product->options)) { ?>
							<button type="button" class="uk-button" data-uk-modal="{target:'#rc-cart-item-options-<?php echo $i; ?>',center:true}"><i class="uk-icon-search"></i></button>
						<?php } ?>
					</td>
					<td class="uk-text-center">
						<input type="hidden" name="rc-cart-item[<?php echo $i; ?>][ID]" value="<?php echo $item->ID; ?>">
						<input type="number" name="rc-cart-item[<?php echo $i; ?>][quantity]" min="0" class="uk-form-width-mini rc-input-3-digits-size" value="<?php echo $item->quantity; ?>" onchange="RCkit.enableUpdateCartButton();">
					</td>
					<td class="uk-text-right uk-text-nowrap"><?php echo RCUtilities::toCurrency($item->product->price * $item->quantity); ?></td>
					<td class="uk-text-center"><input type="checkbox" name="rc-cart-item[<?php echo $i; ?>][remove]" class="rc-remove-item-checkbox" onchange="RCkit.enableUpdateCartButton();"></td>
				</tr>
			<?php } ?>
			<?php foreach ($this->cart->costs->list as $cost) { ?>
				<tr class="uk-table-middle">
					<td class="uk-hidden-small"></td>
					<td colspan="2"><?php echo $cost->description; ?></td>
					<td class="uk-hidden-small"></td>
					<td class="uk-text-right uk-text-nowrap<?php echo (($cost->price < 0) ? ' uk-text-danger' : ''); ?>"><?php echo RCUtilities::toCurrency($cost->price); ?></td>
					<td></td>
				</tr>
			<?php } ?>
		</tbody>
		<thead>
			<tr class="uk-table-middle">
				<th colspan="2" class="uk-hidden-small"></th>
				<th colspan="2" class="uk-text-right"><?php echo RCUtilities::$localization->cart->subtotal; ?>:</th>
				<th class="uk-text-right uk-text-nowrap"><?php echo RCUtilities::toCurrency($this->cart->subtotal, FALSE, FALSE); ?></th>
				<th></th>
			</tr>
			<tr class="uk-table-middle">
				<th colspan="3" class="uk-visible-small uk-text-right uk-text-small"><?php echo nl2br(RCUtilities::$localization->cart->overviewDisclaimer); ?></th>
				<th colspan="5" class="uk-hidden-small uk-text-right uk-text-small"><?php echo nl2br(RCUtilities::$localization->cart->overviewDisclaimer); ?></th>
				<th></th>
			</tr>
		</thead>
	</table>
	<?php if (RCUtilities::$settings->cart->acceptCouponCodes) { ?>
		<div class="uk-text-right">
			<?php if ($this->cart->coupon === FALSE) { ?>
				<?php echo RCUtilities::$localization->cart->couponCodeText; ?>: <input type="text" class="uk-form-width-small uk-text-center" id="rc-cart-coupon-code"> <button type="button" class="uk-button" onclick="RCkit.applyCouponCode(this, false);"><i class="uk-icon-check uk-icon-justify"></i></button>
			<?php } else { ?>
				<?php echo RCUtilities::$localization->cart->couponCode; ?>:
				<div class="uk-form-icon">
					<i class="uk-icon-check uk-text-success"></i>
					<input type="text" class="uk-form-width-small uk-text-center uk-form-success" value="<?php echo $this->cart->coupon; ?>" readonly="readonly">
				</div>
				<a class="uk-button" href="<?php echo RCUtilities::getURL(array(0 => 'cart', 1 => 'remove-coupon-code'), TRUE); ?>"><i class="uk-icon-trash"></i></a>
			<?php } ?>
		</div>
	<?php } ?>
</form>
<?php if ($this->cart->subtotal < RCUtilities::$settings->cart->minimumOrder) { ?>
	<div class="uk-alert uk-alert-danger uk-text-center uk-margin-large-top">
		<i class="uk-icon-exclamation-triangle"></i><br>
		<?php echo sprintf(RCUtilities::$localization->cart->minimumOrder, RCUtilities::toCurrency(RCUtilities::$settings->cart->minimumOrder)); ?>
	</div>
<?php } ?>
<div class="uk-margin-large-top uk-text-right">
	<button type="button" class="uk-button uk-button-primary uk-button-large uk-float-left" onclick="RCkit.goBack();"><i class="uk-icon-chevron-left"></i> <?php echo RCUtilities::$localization->general->back; ?></button>
	<button type="button" id="rc-update-cart-button" class="uk-button uk-button-danger uk-button-large" onclick="RCkit.updateCart(this);" disabled><i class="uk-icon-refresh uk-icon-justify"></i> <?php echo RCUtilities::$localization->cart->update; ?></button>
	<?php if ($this->cart->subtotal < RCUtilities::$settings->cart->minimumOrder) { ?>
		<button type="button" class="uk-button uk-button-primary uk-button-large" disabled><?php echo RCUtilities::$localization->general->next; ?> <i class="uk-icon-chevron-right"></i></button>
	<?php } else { ?>
		<!--<a href="<?php echo RCUtilities::getURL(array(0 => 'cart', 1 => 'address'), TRUE); ?>" class="uk-button uk-button-primary uk-button-large"><?php echo RCUtilities::$localization->general->next; ?> <i class="uk-icon-chevron-right"></i></a>-->
		<button type="button" class="uk-button uk-button-primary uk-button-large" onclick="RCkit.applyCouponCode(this, true);"><?php echo RCUtilities::$localization->general->next; ?> <i class="uk-icon-chevron-right"></i></button>
	<?php } ?>
</div>