<div class="uk-container-center uk-width-1-1 uk-width-large-3-4">
	<h1>Checklist</h1>
	<table class="uk-table uk-margin-large-top">
		<thead>
			<tr>
				<th colspan="2" class="uk-text-bold uk-text-center"><i class="uk-icon-info-circle"></i> Info</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="uk-text-left">RapidCart Pro</td>
				<td class="uk-text-right"><?php echo RCUtilities::$settings->general->pluginVersion; ?></td>
			</tr>
			<tr>
				<td class="uk-text-left">Site URL</td>
				<td class="uk-text-right"><?php echo RCUtilities::$settings->general->siteURL; ?></td>
			</tr>
			<tr>
				<td class="uk-text-left">Store URL</td>
				<td class="uk-text-right"><?php echo RCUtilities::$settings->general->pageURL; ?></td>
			</tr>
			<tr>
				<td class="uk-text-left">PHP Version</td>
				<td class="uk-text-right"><?php echo PHP_VERSION; ?></td>
			</tr>
		</tbody>
	</table>
	<table class="uk-table uk-margin-large-top">
		<thead>
			<tr>
				<th colspan="3" class="uk-text-bold uk-text-center"><i class="uk-icon-code"></i> JavaScript</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="uk-text-left">jQuery</td>
				<td width="100" class="uk-text-center"><?php echo RCUtilities::$settings->general->jQueryVersion; ?></td>
				<td width="1" class="uk-text-right uk-text-large uk-table-middle">
					<script>
						if (window.jQuery) {
							document.write('<i class="uk-icon-smile-o uk-icon-justify uk-text-success"></i>');
						}
						else {
							document.write('<i class="uk-icon-frown-o uk-icon-justify uk-text-danger"></i>');
						}
					</script>
				</td>
			</tr>
			<tr>
				<td class="uk-text-left">UIkit</td>
				<td width="100" class="uk-text-center"><?php echo RCUtilities::$settings->general->UIkitVersion; ?></td>
				<td width="1" class="uk-text-right uk-text-large uk-table-middle">
					<script>
						if (window.UIkit) {
							document.write('<i class="uk-icon-smile-o uk-icon-justify uk-text-success"></i>');
						}
						else {
							document.write('<i class="uk-icon-frown-o uk-icon-justify uk-text-danger"></i>');
						}
					</script>
				</td>
			</tr>
			<tr>
				<td class="uk-text-left">RCkit</td>
				<td width="100" class="uk-text-center"><?php echo RCUtilities::$settings->general->RCkitVersion; ?></td>
				<td width="1" class="uk-text-right uk-text-large uk-table-middle">
					<script>
						if (window.RCkit) {
							document.write('<i class="uk-icon-smile-o uk-icon-justify uk-text-success"></i>');
						}
						else {
							document.write('<i class="uk-icon-frown-o uk-icon-justify uk-text-danger"></i>');
						}
					</script>
				</td>
			</tr>
		</tbody>
	</table>
	<table class="uk-table uk-margin-large-top">
		<thead>
			<tr>
				<th colspan="3" class="uk-text-bold uk-text-center"><i class="uk-icon-puzzle-piece"></i> Services</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="uk-text-left">Email</td>
				<td width="100" class="uk-text-center"><?php echo $PHPMailerVersion; ?></td>
				<td width="1" class="uk-text-right uk-text-large uk-table-middle">
					<i class="uk-icon-circle-o-notch uk-icon-spin" data-uk-tooltip data-rc-checklist="email"></i>
				</td>
			</tr>
			<?php if ($databaseEnabled) { ?>
				<tr>
					<td class="uk-text-left">Database</td>
					<td width="100" class="uk-text-center"><?php echo $databaseVersion; ?></td>
					<td width="1" class="uk-text-right uk-text-large uk-table-middle">
						<i class="uk-icon-circle-o-notch uk-icon-spin" data-uk-tooltip data-rc-checklist="database"></i>
					</td>
				</tr>
			<?php } ?>
			<?php if ($amazonEnabled) { ?>
				<tr>
					<td class="uk-text-left">Amazon S3</td>
					<td width="100" class="uk-text-center">0.5.1</td>
					<td width="1" class="uk-text-right uk-text-large uk-table-middle">
						<i class="uk-icon-circle-o-notch uk-icon-spin" data-uk-tooltip data-rc-checklist="amazon"></i>
					</td>
				</tr>
			<?php } ?>
		</tbody>
	</table>
	<?php if ($paypalEnabled || $stripeEnabled || $mollieEnabled) { ?>
		<table class="uk-table uk-margin-large-top">
			<thead>
				<tr>
					<th colspan="3" class="uk-text-bold uk-text-center"><i class="uk-icon-money"></i> Payments</th>
				</tr>
			</thead>
			<tbody>
				<?php if ($paypalEnabled) { ?>
					<tr>
						<td class="uk-text-left">PayPal</td>
						<td width="100" class="uk-text-center"></td>
						<td width="1" class="uk-text-right uk-text-large uk-table-middle">
							<i class="uk-icon-circle-o-notch uk-icon-spin" data-uk-tooltip data-rc-checklist="paypal"></i>
						</td>
					</tr>
				<?php } ?>
				<?php if ($stripeEnabled) { ?>
					<tr>
						<td class="uk-text-left">Stripe</td>
						<td width="100" class="uk-text-center" class="uk-text-center"><?php echo $stripeVersion; ?></td>
						<td width="1" class="uk-text-right uk-text-large uk-table-middle">
							<i class="uk-icon-circle-o-notch uk-icon-spin" data-uk-tooltip data-rc-checklist="stripe"></i>
						</td>
					</tr>
				<?php } ?>
				<?php if ($mollieEnabled) { ?>
					<tr>
						<td class="uk-text-left">Mollie</td>
						<td width="100" class="uk-text-center" class="uk-text-center"><?php echo $mollieVersion; ?></td>
						<td width="1" class="uk-text-right uk-text-large uk-table-middle">
							<i class="uk-icon-circle-o-notch uk-icon-spin" data-uk-tooltip data-rc-checklist="mollie"></i>
						</td>
					</tr>
				<?php } ?>
			</tbody>
		</table>
	<?php } ?>
	<div class="uk-text-center uk-margin-large-top">
		<button type="button" class="uk-button uk-button-primary uk-button-large uk-margin-right" onclick="RCkit.goBack();"><i class="uk-icon-home"></i> Home</button>
		<a class="uk-button uk-button-danger uk-button-large" href="http://help.4gnd.com"><i class="uk-icon-life-ring"></i> Help</a>
	</div>
</div>