<?php
	
$RCConfig = array();

$RCConfig['general'] = array();
$RCConfig['general']['webhook']      = '%RC_CUSTOM_WEBHOOK_URL%';
$RCConfig['general']['blacklist']    = '%RC_BLACKLIST%';

$RCConfig['database'] = array();
$RCConfig['database']['host']        = '%RC_DATABASE_HOST%';
$RCConfig['database']['port']        = %RC_DATABASE_PORT%;
$RCConfig['database']['username']    = '%RC_DATABASE_USERNAME%';
$RCConfig['database']['password']    = '%RC_DATABASE_PASSWORD%';
$RCConfig['database']['name']        = '%RC_DATABASE_NAME%';

$RCConfig['email'] = array();
$RCConfig['email']['smtp']           = %RC_EMAIL_USE_SMTP%;
$RCConfig['email']['host']           = '%RC_EMAIL_SMTP_HOST%';
$RCConfig['email']['port']           = %RC_EMAIL_SMTP_PORT%;
$RCConfig['email']['username']       = '%RC_EMAIL_SMTP_USERNAME%';
$RCConfig['email']['password']       = '%RC_EMAIL_SMTP_PASSWORD%';
$RCConfig['email']['security']       = '%RC_EMAIL_SMTP_SECURE%';
$RCConfig['email']['fromAddress']    = '%RC_EMAIL_FROM_ADDRESS%';
$RCConfig['email']['fromName']       = '%RC_EMAIL_FROM_NAME%';
$RCConfig['email']['replyToAddress'] = '%RC_EMAIL_REPLY_TO_ADDRESS%';
$RCConfig['email']['replyToName']    = '%RC_EMAIL_REPLY_TO_NAME%';
$RCConfig['email']['copyToAddress']  = '%RC_EMAIL_COPY_TO_ADDRESS%';

$RCConfig['paypal'] = array();
$RCConfig['paypal']['clientID']      = '%RC_PAYPAL_API_CLIENT_ID%';
$RCConfig['paypal']['secret']        = '%RC_PAYPAL_API_SECRET%';
$RCConfig['paypal']['message']       = '%RC_PAYPAL_MESSAGE%';

$RCConfig['stripe'] = array();
$RCConfig['stripe']['publicKey']     = '%RC_STRIPE_PUBLIC_KEY%';
$RCConfig['stripe']['APIKey']        = '%RC_STRIPE_API_KEY%';
$RCConfig['stripe']['message']       = '%RC_STRIPE_MESSAGE%';

$RCConfig['mollie'] = array();
$RCConfig['mollie']['APIKey']        = '%RC_MOLLIE_API_KEY%';
$RCConfig['mollie']['message']       = '%RC_MOLLIE_MESSAGE%';

$RCConfig['amazon'] = array();
$RCConfig['amazon']['accessKey']     = '%RC_AMAZON_S3_ACCESS_KEY%';
$RCConfig['amazon']['secretKey']     = '%RC_AMAZON_S3_SECRET_KEY%';

$RCConfig['order'] = array();
$RCConfig['order']['message']        = '%RC_ORDER_MESSAGE%';

$RCConfig['cash'] = array();
$RCConfig['cash']['message']         = '%RC_CASH_MESSAGE%';

$RCConfig['cart'] = array();
$RCConfig['cart']['coupons']         = '%RC_COUPONS%';

$RCConfig['admin'] = array();
$RCConfig['admin']['usernameWrite']  = '%RC_ADMIN_USERNAME_WRITE%';
$RCConfig['admin']['passwordWrite']  = '%RC_ADMIN_PASSWORD_WRITE%';
$RCConfig['admin']['usernameRead']   = '%RC_ADMIN_USERNAME_READ%';
$RCConfig['admin']['passwordRead']   = '%RC_ADMIN_PASSWORD_READ%';

$RCConfig['dealers']['username1']    = '%RC_DEALERS_USERNAME1%';
$RCConfig['dealers']['password1']    = '%RC_DEALERS_PASSWORD1%';
$RCConfig['dealers']['discount1']    = %RC_DEALERS_DISCOUNT1%;
$RCConfig['dealers']['applyTo1']     = '%RC_DEALERS_APPLYTO1%';
$RCConfig['dealers']['username2']    = '%RC_DEALERS_USERNAME2%';
$RCConfig['dealers']['password2']    = '%RC_DEALERS_PASSWORD2%';
$RCConfig['dealers']['discount2']    = %RC_DEALERS_DISCOUNT2%;
$RCConfig['dealers']['applyTo2']     = '%RC_DEALERS_APPLYTO2%';

if (!ini_get('date.timezone')) {
	
	date_default_timezone_set('UTC');
	
}

if (!defined('PHP_VERSION_ID')) {

	$version = explode('.', PHP_VERSION);

	define('PHP_VERSION_ID', ($version[0] * 10000 + $version[1] * 100 + $version[2]));
	
}

if (PHP_VERSION_ID < (5 * 10000 + 3 * 100)) {

	$error = '<h2>Error</h2>';
	$error .= '<p>Your PHP version is ' . PHP_VERSION . '.</p>';
	$error .= '<p>RapidCart Pro ' . RC_VERSION . ' requires PHP 5.3 or higher.</p>';
	
	exit($error);
	
}

spl_autoload_register(function ($class) {
	
	// Amazon S3
	if ($class == 'S3') {
		
		$class = '\\S3\\S3';
		
	}
	
	// Mollie
	if (strpos($class, 'Mollie_API') === 0) {
		
		$class = str_replace('Mollie_API', 'Mollie', $class);
		$class = str_replace('_', '\\', $class);
		
	}
	
	$parts = explode('\\', $class);
	
	if (count($parts) > 1) {
		
		$file = RC_PLUGIN_FOLDER . '/helpers/' . implode('/', $parts) . '.php';

	}
	
	else {
	
		$file = RC_PLUGIN_FOLDER . '/system/' . $class . '.php';
	
	}
	
	if (is_readable($file)) {
	
		require_once $file;
		
	}

});
	
?>